                         Release Notes for X11R6.7.0

                            The X.Org Foundation
                          The XFree86 Project, Inc.

                                31 March 2004

                                  Abstract

     These release notes contains information about features and their
     status in the X.Org Foundation X11R6.7.0 release.  It is based on
     the XFree86 4.4RC2 RELNOTES document published by The XFree86[tm]
     Project, Inc.  There are significant updates and differences in the
     X.Org release as noted below.

1.  Introduction to the X11R6.7 Release Series

The release numbering is based on the original MIT X numbering system.  X11
refers to the version of the network protocol that the X Window system is
based on: Version 11 was first released in 1988 and has been stable for 15
years, with only upward compatible additions to the core X protocol, a record
of stability envied in computing.  Formal releases of X started with X ver-
sion 9 from MIT; the first commercial X products were based on X version 10.
The MIT X Consortium and its successors, the X Consortium, the Open Group X
Project Team, and the X.Org Group released versions X11R3 through X11R6.6,
before the founding of the X.Org Foundation.

X11R6.7.0 is based on the merger of the X11R6.6 and XFree86 4.4RC2 codebases,
with significant updates, noted below.

There will be future maintenance releases in the X11R6.7.x series.  However,
efforts are well underway to split the X distribution into its modular compo-
nents to allow for easier maintenance and independent updates. We expect a
transitional period while both X11R6.7 releases are being fielded and the
modular release completed and deployed while both will be available as dif-
ferent consumers of X technology have different constraints on deployment. We
have not yet decided how the modular X releases will be numbered.

Due to the new XFree86 1.1 license introduced in XFree86 4.4 (final), later
additions to XFree86 may not be incorporated into our codebase.  We encourage
you to submit bug fixes and enhancements to bugzilla.freedesktop.org using
the xorg product, and discussions on this server take place on
<xorg@freedesktop.org>.

2.  Introduction to the XFree86 4.x Release Series

XFree86 4.0 was the first official release of the new XFree86 4 series.  It
was based on X11R6.4.

XFree86 4 represents a significant redesign of the XFree86 X server.  Not all
of the hardware drivers from 3.3.x have been ported to 4.x yet, but con-
versely, 4.x has support for a lot of hardware that is not supported in
3.3.x.  Our Driver Status document summarizes how the hardware driver support
compares between 3.3.6 and 6.7.0.

X11R6.7.0 comes with a graphical configuration tool called "xorgcfg", which
also has a text mode interface and can be used to create an initial configu-
ration file. It can also be used to customise existing configurations.

Next in the order of configuration preferences is to use the Xorg server's
ability to create a starting configuration file.  Run as root:

     Xorg -configure

 and follow the instructions.

Finally, if all else fails, the trusty old standby text-based tool "xorgcon-
fig" can also be used for generating X server config files.

At least one, and hopefully, all of these configuration options will give you
a reasonable starting point for a suitable configuration file.  With the
automatic mechanism you might even find that you don't need one!

If you do need to customise the configuration file, see the xorg.conf manual
page.  You can also check the driver-specific manual pages and the related
documentation (found at tables below (section 4., page 1) also.

Before downloading  the binary distributions for this release, please have a
quick read through the Installation Document.  It may save you some time and
also help you figure out which of the binary releases you need.

The next section describes what is new in the latest version (6.7.0) compared
with the previous full release (6.6.0).  The other sections below describe
some of the new features and changes between 3.3.x and 4.0.  There are lots
of new features, and we definitely don't have enough space to cover them all
here.

3.  Summary of new features in 6.7.0.

This is a sampling of the new features in X11R6.7.0.  A more complete list of
changes can be found in the CHANGELOG that is part of the X source tree.

3.1  Enhancements in X11R6.7.0 beyond XFree86 4.4RC2

   o The final version of the X11R6.7 versions of the X Window System stan-
     dards and specification documents are included.  Updates since X11R6.6
     include a small correction to the numbering of requests in the Shape
     Extension Protocol specification; the addition of IPv6 support to the
     X11 Protocol, Xlib, XDMCP, and Session Manager specifications; and the
     addition of the ServerInterpreted Host family to the X11 Protocol and
     Xlib specifications.

   o IPv6 support updated to the final X11R6.7 versions of the standards,
     including the addition of the ServerInterpreted Host family for xhost
     style authentication.  See the IPv6 section below for further details.

   o Only files without the new XFree86 1.1 license are included in the
     X11R6.7.0 release. Additionally, X.Org will be attempting, when possi-
     ble, to contact copyright holders of material in the distribution when
     those copyrights do not follow the Debian Free Software guidelines to
     see if they can be relicensed to adhere to those standards.

   o Trademark law requires that there be no ambiguity about the use of a
     trademark, so the documentation, error message, name of the X exe-
     cutable, configuration file name, etc., have all been changed to avoid
     confusion of X.Org's implementation with the XFree86[tm] trademarked
     implementation. Some of the changes made include:

        o  The name of the X server is Xorg, rather than XFree86.

        o  The name of the X server configuration file is /etc/X11/xorg.conf
          rather than /etc/X11/XF86Config.  If xorg.conf does not exist, the
          server will look for the old name.

        o The config file and servername in xorg.cf is build time config-
          urable.

        o The vendor string was updated to "X.Org Foundation".

        o The X server's log file name was changed to Xorg.?.log.

        o xf86cfg was renamed xorgcfg.

        o xf86config was renamed xorgconfig.

        o All messages emitted by the server in the log were updated to
          reflect the change in name.

        o The module loader was modified to accept either XFree86 generated
          modules or X.Org generated modules.

        o Manual pages and other documentation was updated.

   o Projective affine transforms and the trapezoid primitives were imple-
     mented in XFree86 4.3 with suboptimal performance.  Work is underway to
     accelerate these primitives. The render extension and render library in
     XFree86 4.4 are stale and were updated to version 0.8.4 in X11R6.7.0 to
     fix a number of bugs, by a backport from the modular X window system
     tree.  The bugs fixed include checks for X servers not implementing ren-
     der properly (e.g. Solaris X servers which advertized support for render
     but failed to support 1, 4, 8, 24, 32 depth pixmaps.) and eliminating an
     unneeded dependence on libXext.

   o Fontconfig will no longer be installed by default since that has
     often/usually resulted in overwriting more recent versions.  The font-
     config version 2.2.2 shipped in X11R6.7.0 needs to be built to allow
     programs in the tree to build that depend on it, but those programs will
     run fine using installed versions of fontconfig. If you do want to
     install the version shipped in X11R6.7.0 add:

           #define InstallFontconfigLibrary YES

      to your host.def. We recommend instead if you need to install a current
     fontconfig version, to get the current version from fontconfig.org
     <URL:http://www.fontconfig.org>.

   o Freetype was updated to version 2.1.7.  But installing freetype from X
     distributions would often or usually result in the replacement or use of
     "stale" versions of freetype. On Linux, FreeBSD, Solaris 10, and SCO5,
     therefore, X11R6.7.0 will by default use the version of freetype2 that
     is installed on the system. If your system doesn't come with an
     installed freetype2 and you wish to use the version supplied with this
     distribution, please add:

            #define HasFreetype2 NO

      to config/cf/host.def. Additonally, the default font renderer for True-
     Type that is loaded by the X server was changed to freetype.

   o During the build, the version of expat that is installed on the system
     is used by default on Microsoft Windows, FreeBSD, Linux and SCO5.  If
     your system doesn't come with an installed expat and you wish to use the
     version supplied with this tree please add:

           #define HasExpat NO

      to config/cf/host.def. Libexpat's <URL:http://www.libexpat.org> web
     site has current versions.

   o During build the version of zlib that is installed on the system is used
     by default on OpenBSD, FreeBSD, Mac OS (Darwin), Microsoft Windows (Cyg-
     win), Linux, Sun Solaris, and SCO5.  If your system doesn't come with an
     installed zlib and you wish to use the version supplied with this tree
     please add:

          #define HasZlib NO

      to config/cf/host.def.  Zlib's <URL:http://www.gzip.org/zlib/> web site
     has current versions of zlib.

   o You are likely to need the ncurses and libpng libraries including the
     development header files. Builds will also require groff, flex, and
     optionally, perl5.

   o The TinyX (kdrive) driver was removed entirely from the tree in
     X11R6.7.0. The version in XFree86 4.4 was 15 months out of date as of
     XFree86 4.4's release in February 2004, and is not supported in the
     monolithic Xorg X server tree.  Please turn to freedesktop.org's X
     Server project <URL:http://xserver.freedesktop.org> for current kdrive
     support, including the new composite, damage, and X fixes extension
     under development.

   o Xft was updated to version 2.1.5, to fix bugs with Freetype compatibil-
     ity.

   o The remains of XIE and PEX extensions were removed completely.  Simi-
     larly, libxml2's remains were removed, as it is not used at all in the
     distribution.

   o The new fonttosfnt utility to convert .bdf/.pcf fonts to .ttf format was
     removed as it is not yet ready and working.  Please turn to freedesk-
     top.org's X Applications <URL:http://xapps.freedesktop.org> for a newer
     version.

   o Allow left and right modifier keys to be distinguished on Mac OS X 10.3.
     (Does not work on earlier versions.)

3.2  Summary of new features in Cygwin/X

This is a sampling of the new features in Cygwin/X in X11R6.7.0.

3.2.1  Cygwin/X Notes

Cygwin/X has continued its rapid pace of development that it has sustained
since Spring 2001 and this release shows it, we now have: a stable and fast
multi-window mode, seamless clipboard integration, a configurable tray menu
icon, popups on error messages pointing users to the log file and our mailing
list, the beginnings of indirect 3D acceleration for OpenGL applications,
improved non-US keyboard and clipboard support, and only a handful of bugs
that continue to be reported.

Between the XFree86 4.3.0 release and the X.Org X116.7 release the Cyg-
win/XFree86 project broke away from The XFree86 Project, Inc. due to a lack
of support from the XFree86 project.  As such, the Cygwin/XFree86 project was
renamed to the Cygwin/X project and the upstream source code tree that Cyg-
win/X pulls from and pushes to is now the tree managed by the X.Org Founda-
tion.  The Cygwin/X project has seen a rush of development and interest in
the project since the split; one metric showing this is that the number of
CVS committers we have has gone from zero to six.

3.2.2  Cygwin/X-specific Changes

[Note: This list is by no means complete and covers issues that were either
specific to the Cygwin/X DDX or were reported as problems by a number of Cyg-
win/X users, thus creating an interest in such a problem being fixed.  The
complete Cygwin/X-specific change logs <URL:http://x.cyg-
win.com/devel/server/changelog-full.html> can be seen at http://x.cyg-
win.com/devel/server/changelog-full.html]

   o Major multi-window mode performance improvements and bug fixes. (Takuma
     Murakami, Earle F. Philhower III)

   o Initial version of indirect 3D acceleration by mapping GLX to Win32's
     OpenGL implementation. (Alexander Gottwald, Harold L Hunt II)

   o Allow clipboard integration to work seamlessly with Xdmcp. (Harold L
     Hunt II)

   o Fix clipboard integration to stop stealing ownership of the selection X
     (caused text to be unhighlighted in emacs, xterm, etc.). (Harold L Hunt
     II)

   o Improved Japanese keyboard and clipboard support.(Kensuke Matsuzaki,
     Takuma Murakami, Alexander Gottwald)

   o Customizable tray menu icon allowing shortcuts to start programs,
     etc.(Earle F. Philhower III)

   o Add an About Cygwin/X dialog box to the tray icon menu. (Harold L Hunt
     II)

   o Fix crash with 24 bpp icons. (Fabrizio Gennari)

   o Improve window positioning in multi-window mode.(Earle F. Philhower III)

   o Allow overriding the tray icon in the .XWinrc preferences file.(Earle F.
     Philhower III)

   o New icons.(Jehan Bing, Michael Bax, Benjamin Rienfenstahl)

   o Fix some multi-monitor problems.(Takuma Murakami)

   o Prevent multiple instances of XWin.exe listening on the same display
     number. (Takuma Murakami, Harold L Hunt II)

   o Present user with a dialog box containing useful information when
     FatalError is called. (Harold L Hunt II)

   o Make the multi-window mode window manager detectable by other window
     managers such as twm. (Takuma Murakami)

   o Center dialog boxes in the desktop window. (Earle F. Philhower III)

   o Fix multi-window mode crashes when there were multiple instances of
     XWin.exe. (Kensuke Matsuzaki)

   o Don't send localhost and 0.0.0.0 when making Xdmcp connections.
     (Matthieu Herrb, Harold L Hunt II)

   o Fix repeated key strokes. (Ivan Pascal)

   o Fix synchronization of mode key states between X and Win32.  (Takuma
     Murakami)

   o Enable remapping of mouse buttons. (Takuma Murakami)

   o Enable copying and pasting of non-ascii characters in Windows 95/98/Me.
     (Kensuke Matsuzaki)

   o Fix multiple crashes in the clipboard code. (Kensuke Matsuzaki, Harold L
     Hunt II)

   o Automatic keyboard layouts for the most frequently used keyboard lay-
     outs. (Alexander Gottwald)

   o Fix problem with TweakUI's focus-follows-mouse behavior. (Harold L Hunt
     II)

   o Fix problem with TweakUI's and the AltGr key. (Harold L Hunt II)

   o Built in SHM support with detection of the SHM engine (cygserver).
     (Ralf Habacker, Harold L Hunt II)

   o expat, freetype2, fontconfig, libXft, and xterm are now built and dis-
     tributed separately from the monolithic packages. (Gerrit P. Haase,
     Harold L Hunt II, Alexander Gottwald, Nicholas Wourms)

   o Merged in work on the NativeGDI engine. (Alan Hourihane)

3.3  Video Driver Enhancements

   o Several stability issues with the support for the Intel 830M, 845G,
     852GM, 855GM and 865G integrated graphics chipsets have been fixed.
     Some limitations related to the driver's use of the video BIOS remain,
     especially for some laptops.

   o The nv driver for NVIDIA cards has been updated as follows:

        o Support added to the nv driver for the GeForce FX 5700, which
          didn't work with XFree86 4.3.

        o The driver now does a much better job of auto-detecting which con-
          nector of dual output cards the monitor is attached to, and this
          should reduce or eliminate the need for manual xorg.conf overrides.

        o The 2D acceleration for TNT and GeForce has been completely rewrit-
          ten and its performance should be substantially improved.

        o TNT and GeForce cards have a new Xv PutImage adaptor which does
          scaled YUV bit blits.

   o The SiS driver has seen major updates, including:

        o Support for 661/741/760 and support for 330 (Xabre).

        o Merged Framebuffer mode.

        o Support for DVI, and much more.

        o DRI for 300 series (300/305, 540, 630, 730) is supported again.

   o A new driver for several VIA integrated graphics chipsets has been
     added.

   o Various updates and bug fixes have been made to most other drivers.

3.4  Input Driver Enhancements

   o The mouse driver has some support on Linux and FreeBSD for auto-detect-
     ing which device node to use. This makes it unnecessary to supply this
     information in the xorg.conf file in most cases.

3.5  IPv6 support

X11R6.7.0 supports IPv6, based on the code contributed by Sun Microsystems,
Inc. to X.Org. See X.Org's document <URL:http://www.x.org/IPV6_Spe-
cific_Changes.html> for a detailed list of what these changes are and how
your system is affected by them.

Note that in most environments script kiddies have generated sniffer scripts
that will easily grab passwords on a network. By default, therefore, many
software vendors now ship X with remote access disabled.

Unless you are confident of your network, direct use of IPv6 (or, for that
matter, IPv4) over the network to your X server is not recommended; instead,
we recommend the use of ssh ("ssh -X -C") to provide strong cryptography (and
possibly compression) for network transparent use of X.  Work is beginning to
address this with a more fully integrated encryption scheme that would avoid
the extra process context switches and improve performance over ssh (how much
is unknown).

3.5.1  Protocol names and aliases.

   o tcp is an alias for both IPv6 and IPv4 transports.

   o inet specifies IPv4 only.

   o inet6 specifies IPv6 only.

You can force the X server to only listen to IPv4 connections with the X
-nolisten inet6  command or you can force a IPv6 connection by setting DIS-
PLAY to inet6/host:0.

3.5.2  XDM

The IPv6 XDMCP code is not enabled by default on platforms that don't support
binding a IPv6 socket to a IPv4 address.

The XDM-AUTHORIZATION-1 authentication scheme does not support IPv6 addresses
but a new release of the protocol, XDM-AUTHORIZATION-2 has been designed;
this though is yet to be  implemented.  By default builds do not enable the
XDM-AUTHORIZATION-1 code.

3.5.3  ServerInterpreted host authentication

The ServerInterpreted host family was added in response to comments received
during the X11 over IPv6 standards public review period.  This family allows
registration of new subtypes and implementation of them by modifications
solely to the X server, without having to modify clients such as xhost or the
Xlib or X protocol standards.  In the initial X11R6.7.0 release, two subtypes
are supported - "hostname" for hostnames resolved by the server at connection
time to better support dynamic DNS & mobile IP, and "ipv6" to allow IPv6 lit-
eral addresses, including in the future, scoped addresses.  For more informa-
tion on these features, see the xhost manual page, X11 Protocol and Xlib
standards, and the documents in xc/doc/specs/SIAddresses.

3.6  X Server and Extension Updates

   o The Mesa version used for OpenGL® 1.3 and DRI driver support has been
     updated to 5.0.2.

3.7  Client and Library Updates

3.7.1  Xterm

The user-visible changes to xterm since XFree86 4.3 are:

Bug Fixes:

   o Make signalInhibit resource work, i.e., disable the menu entries that
     would send signals to, or exit xterm.

   o Make cursor definition in tek4014 emulation work as originally imple-
     mented.

   o Modify translations for scrollbar so that one can use shifted pageup,
     wheel mouse, etc., while the mouse pointer is over the scrollbar.

   o Correct initialization of G1 character set mapping.

New Features:

   o Modify the predictable version of the generated logfile name to append
     the process-id rather than a random value.

   o Modify scroll-back and scroll-forw actions to accept an adjustment
     value, e.g.,

          scroll-back(1, page-2)

      to scroll back by 2 lines less than a page.

   o Add visualBellDelay resource to modify the length of time used for
     visual bell, for very slow displays or very fast computers.

Improved Locale Support:

   o modify uxterm script to strip modifiers such as "@euro" from the locale
     setting before adding ".UTF-8".

   o Add logic to wide-character support which attempts to load fonts speci-
     fied by utf8Fonts subresources at startup.  The subresources have the
     same names as the fonts which they replace, e.g., font, font1, etc., so
     that the ISO-10646-1 fonts can be specified in the XTerm app-defaults
     file.

   o Improved performance with chinput application.

Improved Font Handling:

   o Document in xterm's manual page how to use XFree86 ":unscaled" keyword
     to suppress scaling of bold fonts.

   o Improved logic for deriving bold fontname from normal fontname.

   o Make double-width characters work with -u8 option.

   o Updated table of Unicode line-drawing characters.

   o Several fixes for rendering using Xft (option -fa):

        o Make height of TrueType fonts match ascent+descent.

        o Translate Unicode values (from UTF-8 output to xterm) for line-
          drawing to xterm's internal code, etc., since TrueType fonts gener-
          ally do not have either set of line-drawing glyphs.  xterm can draw
          these directly.

        o Pass 16-bit values rather than 8-bit values to xtermXftDrawString()
          to allow for wide-characters.

        o Use built-in line-drawing characters for Xft fonts.

        o Implement underlining.

   o Implement boldMode for wide-characters.

   o Modified to work with CJK double-width (bi-width/monospace) fonts.

Workarounds for Special Applications:

   o Add option -k8 and resource allowC1Printable to allow users of non-VTxxx
     character sets such as KOI-8 to treat the C1 control area (character
     codes 128-159) as printable rather than control characters.

   o Add configure option --enable-broken-st and resource brokenStringTerm to
     allow user to revert one part of the parsing table corrections.

   o Add configure option --enable-broken-osc and resource brokenLinuxOSC to
     accommodate scripts which do not distinguish between running in the
     Linux console and running in X.  Linux console recognizes malformed con-
     trol strings which start with an OSC, but are fixed-length, with no ter-
     minator.

   o Add configure option --enable-pty-handshake to allow one to compile-in
     support for the pty handshaking logic, and resource ptyHandshake to
     enable or disable it.  This feature is normally enabled.

Modified Resources:

   o Change color4 to "dodger blue", since this provides better contrast.

   o Remove color resources from XTerm.ad, leaving them only in XTerm-col.ad

   o Modify UXTerm.ad resource file to include "XTerm-color" rather than
     "XTerm", in case the latter file contains no color resource definitions.

   o Changed class of veryBoldColors to VeryBoldColors, since ColorMode is
     associated with boolean resources.

   o Changed classes of colorBDMode and similar resources that override col-
     ors when a video attribute is set to ColorAttrMode, to make them dis-
     tinct from ColorMode.  This avoids an unexpected rendering of reverse
     video, for example.

Modified terminfo/termcap entries:

   o Add indp and rin to terminfo entry.

   o Add le to termcap xterm-basic entry.  Though missing from older termcaps
     for xterm, some applications check for it.

   o Correct AF/AB strings in termcap for xterm-256color and xterm-88color
     entries.

3.8  I18N and Font Updates

   o The "freetype" X server font backend has been updated by the After X-TT
     Project <URL:http://x-tt.sourceforge.jp/> to include the functionality
     previously provided by the "xtt" backend, and to fix some bugs.  The
     "xtt" backend will be dropped in the next release in favour of the
     updated unified "freetype" backend.

        o The new "freetype" backend has the improved "very lazy" metric cal-
          culation method which enables super-fast loading of proportional
          CJKV fonts.

        o All of the servers, including xfs, Xnest, Xprt, Xvfb, the Cygwin-X
          server (as well as the Xorg server) can handle the perfect TTCap
          options.

   o The Compose file processing mechanism has been improved and made more
     flexible.  See the Xlib Compose  file support and extensions section
     below (section 6.20, page 1).

   o The Bitstream Vera TrueType fonts that Bitstream, Inc donated to the
     GNOME Foundation have been included with this release.

3.9  OS Support Updates

   o On Mac OS X, the appropriate backend drawing code is now dynamically
     loaded at runtime which reduces the X server's memory footprint.  In
     rootless mode, Apple's Xplugin library is used where available.  (Xplu-
     gin is included as part of Mac OS X on Panther.) With Xplugin, XDarwin
     provides identical performance to Apple's X11, including the following
     improvements over 4.3:

        o Added direct GLX rendering with thread support.

        o Faster 2-D drawing.

        o Added support for the Apple-WM extension so XDarwin interoperates
          with quartz-wm.

   o On Darwin, IOKit mode now uses shadowfb for much faster drawing.

   o Various GNU/Hurd support updates.

   o Experimental support added for GNU/KFreeBSD and GNU/KNetBSD systems.

   o SCO OpenServer support updates.  X11R6.7 now works on Release 5.0.7 with
     Maintenance Pack 1, or on prior releases through Release 5.0.4.  Please
     consult the README.SCO file for details.

4.  Drivers

4.1  Video Drivers

X11R6.7.0 includes the following video drivers:

+--------------+--------------------------+---------------------------------------------+
|Driver Name   | Description              | Further Information                         |
+--------------+--------------------------+---------------------------------------------+
|apm           | Alliance Pro Motion      | README.apm                                  |
|ark           | Ark Logic                |                                             |
|ati           | ATI                      | README.ati, README.r128, r128(4), radeon(4) |
|chips         | Chips & Technologies     | README.chips, chips(4)                      |
|cirrus        | Cirrus Logic             |                                             |
|cyrix (*)     | Cyrix MediaGX            | README.cyrix                                |
|fbdev         | Linux framebuffer device | fbdev(4)                                    |
|glide         | Glide2x (3Dfx)           | glide(4)                                    |
|glint         | 3Dlabs, TI               | glint(4)                                    |
|i128          | Number Nine              | README.I128, i128(4)                        |
|i740          | Intel i740               | README.i740                                 |
|i810          | Intel i8xx               | README.i810, i810(4)                        |
|imstt         | Integrated Micro Solns   |                                             |
|mga           | Matrox                   | mga(4)                                      |
|neomagic      | NeoMagic                 | neomagic(4)                                 |
|newport (-)   | SGI Newport              | README.newport, newport(4)                  |
|nsc           | National Semiconductor   | nsc(4)                                      |
|nv            | NVIDIA                   | nv(4)                                       |
|rendition     | Rendition                | README.rendition, rendition(4)              |
|s3            | S3 (not ViRGE or Savage) |                                             |
|s3virge       | S3 ViRGE                 | README.s3virge, s3virge(4)                  |
|savage        | S3 Savage                | savage(4)                                   |
|siliconmotion | Silicon Motion           | siliconmotion(4)                            |
|sis           | SiS                      | README.SiS, sis(4)                          |
|sunbw2 (+)    | Sun bw2                  |                                             |
|suncg14 (+)   | Sun cg14                 |                                             |
|suncg3 (+)    | Sun cg3                  |                                             |
|suncg6 (+)    | Sun GX and Turbo GX      |                                             |
|sunffb (+)    | Sun Creator/3D, Elite 3D |                                             |
|sunleo (+)    | Sun Leo (ZX)             |                                             |
|suntcx (+)    | Sun TCX                  |                                             |
|tdfx          | 3Dfx                     | tdfx(4)                                     |
|tga           | DEC TGA                  | README.DECtga                               |
|trident       | Trident                  | trident(4)                                  |
|tseng         | Tseng Labs               |                                             |
|via           | VIA                      | via(4)                                      |
|vesa          | VESA                     | vesa(4)                                     |
|vga           | Generic VGA              | vga(4)                                      |
|vmware        | VMWare guest OS          | vmware(4)                                   |
+--------------+--------------------------+---------------------------------------------+

Drivers marked with (*) are present in a preliminary form in this release,
but are not complete and/or stable yet.

Drivers marked with (+) are for Linux/Sparc only.

Drivers marked with (-) are for Linux/mips only.

Darwin/Mac OS X uses IOKit drivers and does not use the module loader drivers
listed above. Further information can be found in README.Darwin.

X11R6.7.0 includes the following input drivers:

4.2  Input Drivers

   +------------+----------------------------------+---------------------+
   |Driver Name | Description                      | Further Information |
   +------------+----------------------------------+---------------------+
   |aiptek(*)   | Aiptek USB tablet                | aiptek(4)           |
   |calcomp     | Calcomp                          |                     |
   |citron      | Citron                           | citron(4)           |
   |digitaledge | DigitalEdge                      |                     |
   |dmc         | DMC                              | dmc(4)              |
   |dynapro     | Dynapro                          |                     |
   |elographics | EloGraphics                      |                     |
   |fpit        | Fujitsu Stylistic Tablet PCs     | fpit(4)             |
   |hyperpen    | Aiptek HyperPen 6000             |                     |
   |js_x        | JamStudio pentablet              | js_x(4)             |
   |kbd         | generic keyboards (alternate)    | kbd(4)              |
   |keyboard    | generic keyboards                | keyboard(4)         |
   |microtouch  | MicroTouch                       |                     |
   |mouse       | most mouse devices               | mouse(4)            |
   |mutouch     | MicroTouch                       |                     |
   |palmax      | Palmax PD1000/PD1100             | palmax(4)           |
   |penmount    | PenMount                         |                     |
   |spaceorb    | SpaceOrb                         |                     |
   |summa       | SummaGraphics                    |                     |
   |tek4957     | Tektronix 4957 tablet            | tek4957(4)          |
   |ur98(*)     | Union Reality UR-F98 headtracker | ur98(4)             |
   |void        | dummy device                     | void(4)             |
   |wacom       | Wacom tablets                    | wacom(4)            |
   +------------+----------------------------------+---------------------+

Drivers marked with (*) are available for Linux only.

5.  Known Problems

   o Known issues with this version of the SiS driver:

        o The driver will not work with upcoming laptops/notebooks with
          661/741/760 and 30xLV bridges as regards LCD output. This is due
          folks at SiS at the very moment writing an entirely new VBIOS for
          such machines whose data layout is not decided yet.  (This might
          affect machines with 650/740 as well within the next year.)

        o Xv does not work correctly in TV NTSC 1024x768 mode, if the overlay
          is very large (or full screen). The effect are flickering lines on
          the screen. This is a hardware problem. Do not use this mode for
          video.

        o YPbPr 720p output is blurry (at least at 1024x768; unknown for
          other modes). This is a driver problem; solution currently unknown.

   o We have received a late report that enabling DPMS support with the
     radeon driver can damage some Viewsonic monitors.  DPMS is usually dis-
     abled by default.  You can verify whether or not DPMS is enabled by run-
     ning 'xset q' from within your X session.

6.  Overview of X11R6.7.x

On most platforms, X11R6.7.x has a single X server binary called Xorg.  This
binary can either have one or more video and input drivers linked in stati-
cally, or more usually, dynamically, and in that manner load the video
drivers, input drivers, and other modules that are needed.

X11R6.7.0 has X server support for most UNIX® and UNIX-like operating systems
on Intel/x86 platforms, plus support for Linux and some BSD OSs on Alpha,
PowerPC, IA-64, AMD64, Sparc, and Mips platforms, and for Darwin on PowerPC.
Support for additional architectures and operating systems is in progress and
is planned for future releases.

6.1  Loader and Modules

The X server has a built-in run-time loader, which can load normal object
files and libraries in most of the commonly used formats.  The loader does
not rely on an operating system's native dynamic loader support and it works
on platforms that do not provide this feature.  This  allows  for the modules
to be operating system independent (although not, of course, CPU architecture
independent) which means that a module compiled on Linux/x86 can be loaded by
an X server running on Solaris/x86, or FreeBSD, or even OS/2.

A main benefit of this, is that when modules are updated, they do not need to
be recompiled for every different operating system.  The loader in version
6.7.0 has support for Intel (x86), Alpha and PowerPC platforms.  It also has
preliminary support for Sparc platforms.

The X server makes use of modules for video drivers, X server extensions,
font rasterisers, input device drivers, framebuffer layers (like mfb, cfb,
etc), and internal components used by some drivers (like XAA),

The module interfaces (both API and ABI) used in this release are subject to
change without notice.  While we will attempt to provide backward compatibil-
ity for the module interfaces as of the 4.0 release (meaning that 4.0 modules
will work with future core X server binaries), we cannot guarantee this.
Compatibility in the other direction is explicitly not guaranteed because new
modules may rely on interfaces added in new releases.

Note about module security

     The X server runs with root privileges, i.e.  the X server loadable
     modules also run with these privileges.  For this reason we recom-
     mend that all users be careful to only use loadable modules from
     reliable sources,  otherwise the introduction of viruses and con-
     taminated code can occur and wreak havoc on your system.  We hope
     to have a mechanism for signing/verifying the modules that we pro-
     vide available in a future release.

6.2  Configuration File

The X server uses a configuration file as the primary mechanism for providing
configuration and run-time parameters.  The configuration file format is
described in detail in the xorg.conf(5) manual page.

The X server has support for automatically determining an initial configura-
tion on most platforms, as well as support or generating a basic initial con-
figuration file.

6.3  Command Line Options

Command line options can be used to override some default parameters and
parameters provided in the configuration file.  These command line options
are described in the Xorg(1) manual page.

6.4  XAA

The XFree86 Acceleration Architecture (XAA) was completely rewritten from
scratch for XFree86 4.x and is used in X11R6.7.0.  Most drivers implement
acceleration by making use of the XAA module.  The Xorg server will accept
modules built either for XFree86 4.4 servers or its own.

6.5  Multi-head

Some multi-head configurations are supported in XFree86 4.x and X11R6.x, pri-
marily with multiple PCI/AGP cards.

One of the main problems is with drivers not sufficiently initialising cards
that were not initialised at boot time.  This has been improved somewhat with
the INT10 support that is used by most drivers (which allows secondary card
to be "soft-booted", but in some cases there are other issues that still need
to be resolved.  Some combinations can be made to work better by changing
which card is the primary card (either by using a different PCI slot, or by
changing the system BIOS's preference for the primary card).

6.6  Xinerama

Xinerama is an X server extension that allows multiple physical screens to
behave as a single screen.  With traditional multi-head in X11, windows can-
not span or cross physical screens.  Xinerama removes this limitation.  Xin-
erama does, however, require that the physical screens all have the same root
depth, so it isn't possible, for example, to use an 8-bit screen together
with a 16-bit screen in Xinerama mode.

Xinerama is not enabled by default, and can be enabled with the +xinerama
command line option for the X server.

Xinerama was included with X11R6.4.  The version included in X11R6.7.x and
XFree86 4.x was completely rewritten for improved performance and correct-
ness.

Known problems:

   o Most window managers are not Xinerama-aware, and so some operations like
     window placement and resizing might not behave in an ideal way.  This is
     an issue that needs to be dealt with in the individual window managers,
     and isn't specifically an X server problem.

6.7  DGA version 2

DGA 2.0 is included in 6.7.0.  Documentation for the client libraries can be
found in the XDGA(3) man page.  A good degree of backwards compatibility with
version 1.0 is provided.

6.8  DDC

The VESA® Display Data Channel (DDC[tm]) standard allows the monitor to tell
the video card (or on some cases the computer directly) about itself; partic-
ularly the supported screen resolutions and refresh rates.

Partial or complete DDC support is available in most of the video drivers.
DDC is enabled by default, but can be disabled with a "Device" section entry:
Option "NoDDC".  We have support for DDC versions 1 and 2; these can be dis-
abled independently with Option "NoDDC1" and Option "NoDDC2".

At startup the server prints out DDC information from the display, and can
use this information to set the default monitor parameters, or to warn about
monitor sync limits if those provided in the configuration file don't match
those that are detected.

6.8.1  Changed behavior caused by DDC.

Several drivers uses DDC information to set the screen size and pitch.  This
can be overridden by explicitly resetting it to the and non-DDC default value
75 with the -dpi 75 command line option for the X server, or by specifying
appropriate screen dimensions with the "DisplaySize" keyword in the "Monitor"
section of the config file.

6.9  GLX and the Direct Rendering Infrastructure (DRI)

Direct rendered OpenGL® support is provided for several hardware platforms by
the Direct Rendering Infrastructure (DRI).  Further information about DRI can
be found at the DRI Project's web site <URL:http://dri.sf.net/>.  The 3D core
rendering component is provided by Mesa <URL:http://www.mesa3d.org>.

6.10  XVideo Extension (Xv)

The XVideo extension is supported in X11R6.7.x.  An XvQueryPortAttributes
function has been added as well as support for XvImages.  XvImages are XIm-
ages in alternate color spaces such as YUV and can be passed to the server
through shared memory segments.  This allows clients to display YUV data with
high quality hardware scaling and filtering.

6.11  X Rendering Extension (Render)

The X Rendering extension provides a 2D rendering model that more closely
matches application demands and hardware capabilities.  It provides a render-
ing model derived from Plan 9 based on Porter/Duff image composition rather
than binary raster operations.

Using simple compositing operators provided by most hardware, Render can draw
anti-aliased text and geometric objects as well as perform translucent image
overlays and other image operations not possible with the core X rendering
system.

Unlike the core protocol, Render provides no font support for applications,
rather it allows applications to upload glyphs for display on the screen.
This allows the client greater control over text rendering and complete
access to the available font information while still providing hardware
acceleration.  The Xft library provides font access for Render applications.

6.11.1  The Xft Library

On the client side, the Xft library provides access to fonts for applications
using the FreeType library, version 2.  One important thing to note is that
Xft uses the vertical size of the monitor to compute accurate pixel sizes for
provided point sizes; if your monitor doesn't provide accurate information
via DDC, you may want to add that information to xorg.conf.

To allow a graceful transition for applications moving from core text render-
ing to the Render extension, Xft can use either the core rendering requests
or the Render extension for text.  See the section on FreeType support in Xft
for instructions on configuring X11R6.7.0 to use an existing FreeType instal-
lation.

The Xft library uses configuration files, /etc/fonts/fonts.conf and
/etc/fonts/local.conf, which contains information about which directories
contain font files and also provides a sophisticated font aliasing mechanism.
Documentation for that file is included in the Xft(3) man page.

6.11.2  Application Support For Anti-Aliased Text

Only three applications have been modified in X11R6.7.0 to work with the Ren-
der extension and the Xft and FreeType libraries to provide anti-aliased
text: xterm, xditview and x11perf.  Migration of other applications may occur
in future releases.

By default, xterm uses core fonts through the standard core API.  It has a
command line option and associated resource to direct it to use Xft instead:

   o -fa family / .VT100.faceName: family.  Selects the font family to use.

Xditview will use Xft instead of the core API by default.  X11perf includes
tests to measure the performance of text rendered in three ways, anti-
aliased, anti-aliased with sub-pixel sampling and regular chunky text, but
through the Render extension, a path which is currently somewhat slower than
core text.

6.12  Other extensions

The XFree86-Misc extension has not been fully ported to the new server archi-
tecture yet.  This should be completed in a future release.

The XFree86-VidModeExtension extension has been updated, and mostly ported to
the new server architecture.  The area of mode validation needs further work,
and the extension should be used with care.  This extension has support for
changing the gamma setting at run-time, for modes where this is possible.
The xgamma utility makes use of this feature.  Compatibility with the 3.3.x
version of the extension is provided.  The missing parts of this extension
and some new features should be completed in a future release.

6.13  xedit

Xedit has several new features, including:

   o An embedded lisp interpreter that allows easier extension of the editor.

   o Several new syntax highlight modes, and indentation rules for C and
     Lisp.

   o Flexible search/replace interface that allows regex matches.

   o Please refer to xedit(1) for more details.

6.14  Font support

Details about the font support in X11R6.7.0.x can be found in the
README.fonts document.

6.15  TrueType support

X11R6.7.x and XFree86 4.x comes with two TrueType backends, known as
"FreeType" backend (the "freetype" module) and `X-TrueType' (the "xtt" mod-
ule).  Both of these backends are based on the FreeType library.  The func-
tionality of X-TrueType has been merged into the FreeType backend by the
After X-TT Project for XFree86 4.4.  Consequently, the old X-TrueType backend
will be dropped in the next major release.

6.16  CID font support

Support for CID-keyed fonts is included in X11R6.7.0.x.  The CID-keyed font
format was designed by Adobe Systems <URL:http://www.adobe.com> for fonts
with large character sets.  The CID-keyed font support in X11R6.7.0 was
donated by SGI <URL:http://www.sgi.com>.  See the LICENSE document for a copy
of the CID Font Code Public License.

6.17  Internationalisation of the scalable font backends

X11R6.7.x has a ``fontenc'' layer to allow the scalable font backends to use
a common method of font re-encoding.  This re-encoding makes it possible to
uses fonts in encodings other than their their native encoding.  This layer
is used by the Type1 and Speedo backends and the `xfsft' version of the True-
Type backend.  The `X-TrueType' version of the TrueType backend uses a dif-
ferent re-encoding method based on loadable encoding modules.

6.18  Large font optimisation

The glyph metrics array, which all the X clients using a particular font have
access to, is placed in shared memory, so as to reduce redundant memory con-
sumption.  For non-local clients, the glyph metrics array is transmitted in a
compressed format.

6.19  Unicode/ISO 10646 support

What is included in X11R6.7.x

   o All ``-misc-fixed-*'' BDF fonts are now available in the ISO10646-1
     encoding and cover at least the 614 characters found in ISO
     8859-{1-5,7-10,14,15}, CP1252, and MES-1. The non-bold fonts also cover
     all Windows Glyph List 4 (WGL4) characters, including those found in all
     8-bit MS-DOS/Windows code pages. The 8-bit variants of the ``-misc-
     fixed-*'' BDF fonts (ISO8859-1, ISO8859-2, KOI8-R, etc.) have all been
     automatically generated from the new ISO10646-1 master fonts.

   o Some ``-misc-fixed-*'' BDF ISO10646-1 fonts now cover a comprehensive
     Unicode repertoire of over 3000 characters including all Latin, Greek,
     Cyrillic, Armenian, Gregorian, Hebrew, IPA, and APL characters, plus
     numerous scientific, typographic, technical, and backwards-compatibility
     symbols. Some of these fonts also cover Arabic, Ethiopian, Thai,
     Han/Kanji, Hangul, full ISO 8859, and more. For the 6x13 font there is
     now a 12x13ja Kanji extension and for the 9x18 font there is a 18x18ja
     Kanji/Han/Hangul extension, which covers all ISO-2022-JP-2 (RFC 1554)
     characters. The 9x18 font can also be used to implement simple combining
     characters by accent overstriking. For more information, read Markus
     Kuhn's UTF-8 and Unicode FAQ <URL:http://www.cl.cam.ac.uk/~mgk25/uni-
     code.html>.

   o Mark Leisher's ClearlyU proportional font (similar to Computer Modern).

   o ISO 10646/Unicode UTF-8 Level 1 support added to xterm (enabled with the
     -u8 option).

   o Both the xfsft (the "freetype" module) and the X-TrueType (the "xtt"
     module) TrueType font backends support Unicode-encoded fonts.

6.20  Xlib Compose file support and extensions

A more flexible Compose file processing system was added to Xlib in
X11R6.7.0.  The compose file is searched for in the following order:

  1.  If the environment variable $XCOMPOSEFILE is set, its value is used as
      the name of the Compose file.

  2.  If the user's home directory has a file named ".XCompose", it is used
      as the Compose file.

  3.  The old method is used, and the compose file is "<xlocaledir>/<locale-
      name>/Compose".

Compose files can now use an "include" instruction.  This allows local modi-
fications to be made to existing compose files without including all of the
content directly.  For example, the system's iso8859-1 compose file can be
included with a line like this:

     include "/usr/X11R6/lib/X11/locale/iso8859-1/Compose"

There are two substitutions that can be made in the file name of the include
instruction.  %H expands to the user's home directory (the $HOME environment
variable), and %L expands to the name of the locale specific Compose file
(i.e., "<xlocaledir>/<localename>/Compose").

For example, you can include in your compose file the default Compose file by
using:

     include "%L"

and then rewrite only the few rules that you need to change.  New compose
rules can be added, and previous ones replaced.

Finally, it is no longer necessary to specify in the right part of a rule a
locale encoded string in addition to the keysym name.  If the string is omit-
ted, Xlib figures it out from the keysym according to the current locale.
I.e., if a rule looks like:

     <dead_grave> <A> : "\300" Agrave

the result of the composition is always the letter with the "\300" code.  But
if the rule is:

     <dead_grave> <A> : Agrave

the result depends on how Agrave is mapped in the current locale.

6.21  Luxi fonts from Bigelow and Holmes

The X distribution includes the ``Luxi'' family of Type 1 fonts and TrueType
fonts.  This family consists of the fonts ``Luxi Serif'', ``Luxi Sans'' and
``Luxi Mono'' in Roman, oblique, bold and bold oblique variants.  The True-
Type version have glyphs covering the basic ASCII Unicode range, the Latin 1
range, as well as the Extended Latin range and some additional punctuation
characters.  In particular, these fonts include all the glyphs needed for
ISO 8859 parts 1, 2, 3, 4, 9, 13 and 15, as well as all the glyphs in the
Adobe Standard encoding and the Windows 3.1  character set.

The glyph coverage of the Type 1 versions is somewhat reduced, and only cov-
ers ISO 8859 parts 1, 2 and 15 as well as the Adobe Standard encoding.

The Luxi fonts are original designs by Kris Holmes and Charles Bigelow from
Bigelow and Holmes Inc., who developed the Luxi typeface designs in Ikarus
digital format.  URW++ Design and Development GmbH converted the Ikarus for-
mat fonts to TrueType and Type 1 font programs and implemented the grid-fit-
ting "hints" and kerning tables in the Luxi fonts.

The license terms for the Luxi fonts are included in the file `COPYRIGHT.BH',
as well as in the License document.  For further information, please contact
<design@bigelowandholmes.com> or <info@urwpp.de>, or consult the URW++ web
site <URL:http://www.urwpp.de>.

7.  Credits

This section lists the credits for the X11R6.7; release and is in addition to
the credits for the XFree86 4.4 release credits below.  For a more detailed
breakdown, refer to the CHANGELOG file in the X.Org source tree, the
CHANGELOG's in the xorg product in freedesktop.org's CVS
<URL:http://freedesktop.org/cgi-bin/viewcvs.cgi/xorg/xc/Attic/> or the 'cvs
log' information for individual source files.

      New Features, Enhancements and Updates:

                  Mac OS X enhancements:
                        Torrey T. Lyons, John Harper.

                  Cygwin/X enhancements:
                        Harold L Hunt II,

                  IPv6 and ServerInterpreted enhancements:
                        Alan Coopersmith

                  Release Engineering:
                        Egbert Eich

                  Documentation updates:
                        Jim Gettys, Keith Packard

                  Updated render:
                        Keith Packard

                  Updated Xft:
                        Keith Packard

                  Updated fontconfig:
                        Keith Packard

            Note: the list below does not contain acknowlegements to those
            working on the new modular X release as their work is not present
            in this release.  Patches and other submissions (in alphabetical
            order): Paul Anderson, Michael Bax, Jehan Bing, Peter Breiten-
            lohner, Alan Coopersmith, Egbert Eich, John Dennis, Fabrizio Gen-
            nari, Jim Gettys, Alexander Gottwald, Ralf Habacker Mike Harris,
            Mattheiu Herrb Alan Hourihane, Harold L Hunt II, Elliot Lee,
            Jeremy Katz, Kaleb Keithley, Stuart Kreitman, Andreas Luik, Tor-
            rey Lyons, Roland Minz, Takuma Murakami, Kensuke Matsuzaki, Keith
            Packard, Ivan Pascal, Earle F. Philhower III, Benjamin Rienfen-
            stahl, Leon Shiman, Toshimitsu Tanaka, Nicholas Wourms.

      Release Engineering:
            Egbert Eich, Kaleb S. Keithley

      Webmaster:
            Daniel Stone, Keith Packard, Jim Gettys

      Tinderbox setup:
            Jim Gettys, John Dennis

      X.Org Hosting:
            The Open Group <URL:http://www.tog.org/>.

      Freedesktop.org Hosting:
            Portland State University <URL:http://www.pdx.edu>.

      Organization:
            Howard Greenwell

This section lists the credits for the XFree86 4.4; release.  For a more
detailed breakdown, refer to the CHANGELOG file in the XFree86 source tree,
the cvs-commit archives <URL:http://www.mail-archive.com/cvs-com-
mit@xfree86.org/maillist.html>, or the 'cvs log' information for individual
source files.

      New Features, Enhancements and Updates:

                  IPv6 support:
                        Alan Coopersmith, Fabio Massimo Di Nitto, Marc Aurele
                        La France, Matthieu Herrb, David H. Dawes.

                  NVIDIA 'nv' driver rewrite:
                        Mark Vojkovich.

                  SiS driver development:
                        Thomas Winischhofer.

                  New VIA video driver:
                        VIA, Alan Cox, Luc Verhaegen, Thomas Hellström.

                  Intel 'i810' driver fixes and stability improvements:
                        Egbert Eich, David H. Dawes, Christian Zietz

                  Improved and more flexible Compose system:
                        Ivan Pascal.

                  Automatic configuration for the XFree86 server:
                        David H. Dawes.

                  Reworked FreeType font backend module:
                        Chisato Yamauchi and the After X-TT Project.

                  Xterm fixes, maintenance and enhancements:
                        Thomas E. Dickey.

                  Mac OS X enhancements:
                        Torrey T. Lyons, John Harper.

                  GNU/Hurd updates and preliminary GNU/KFreeBSD and GNU/KNetBSD support:
                        Robert Millan.

                  SCO support updates:
                        Kean Johnston.

                  Bitstream Vera fonts:
                        Bitstream, Inc, and the GNOME Foundation.

      Integration:

                  General Integration of Submissions:
                        Egbert Eich, David H. Dawes, Ivan Pascal, Alan Houri-
                        hane, Matthieu Herrb.

                  DRI Integration:
                        Alan Hourihane.

      Release Engineering:
            David H. Dawes.

      Patches and other submissions (in alphabetical order):
            Roi a Torkilsheyggi, Dave Airlie, Andrew Aitchison, Marco Antonio
            Alvarez, Alexandr Andreev, Jack Angel, Eric Anholt, Ani, Juuso
            Åberg, Sergey Babkin, Alexey Baj, Bang Jun-Young, Uberto Barbini,
            Matthew W. S. Bell, Vano Beridze, Hiroyuki Bessho, Andrew Bevitt,
            Christian Biere, Martin Birgmeier, Jakub Bogusz, Le Hong Boi,
            Paul Bolle, Charl Botha, Stanislav Brabec, Eric Branlund, Rob
            Braun, Peter Breitenlohner, Michael Breuer, Kevin Brosius, Fred-
            erick Bruckman, Oswald Buddenhagen, Nilgün Belma Bugüner, Julian
            Cable, Yukun Chen, Ping Cheng, Juliusz Chroboczek, Fred Clift,
            Alan Coopersmith, Martin Costabel, Alan Cox, Michel Dänzer, David
            Dawes, Leif Delgass, Richard Dengler, John Dennis, Thomas Dickey,
            Randy Dunlap, Chris Edgington, Paul Eggert, Paul Elliott,
            Emmanuel, Visanu Euarchukiati, Mike Fabian, Rik Faith, Brian
            Feldman, Wu Jian Feng, Kevin P. Fleming, Jose Fonseca, Hugues
            Fournier, Miguel Freitas, Quentin Garnier, Børre Gaup, Michael
            Geddes, Frank Giessler, Hansruedi Glauser, Wolfram Gloger,
            Alexander Gottwald, Guido Guenther, Ralf Habacker, Bruno Haible,
            Lindsay Haigh, John Harper, James Harris, Mike A. Harris, Bryan
            W. Headley, John Heasley, Thomas Hellström, Matthieu Herrb,
            Jonathan Hough, Alan Hourihane, Joel Ray Holveck, Harold L Hunt
            II, Ricardo Y. Igarashi, Mutsumi ISHIKAWA , Tsuyoshi ITO, Kean
            Johnston, Nicolas JOLY, Phil Jones, Roman Kagan, Theppitak
            Karoonboonyanan, Etsushi Kato, Koike Kazuhiko, Aidan Kehoe, Juer-
            gen Keil, Andreas Kies, Thomas Klausner, Mario Klebsch, Egmont
            Koblinger, Vlatko Kosturjak, Kusanagi Kouichi, Mel Kravitz, Peter
            Kunzmann, Nick Kurshev, Mashrab Kuvatov, Marc La France, Radics
            Laszlo, Zarick Lau, Nolan Leake, Michel Lespinasse, Noah Levitt,
            Dave Love, H.J. Lu, Lubos Lunak, Sven Luther, Torrey T. Lyons,
            Calum Mackay, Paul Mackerras, Roland Mainz, Kevin Martin, Michal
            Maruska, Kensuke Matsuzaki, maxim, Stephen McCamant, Ferris
            McCormick, Luke Mewburn, Nicholas Miell, Robert Millan, Hisashi
            MIYASHITA, Gregory Mokhin, Patrik Montgomery, Joe Moss, Josselin
            Mouette, Frank Murphy, Reiko Nakajima, Paul Nasrat, Dan Nelson,
            Bastien Nocera, Alexandre Oliva, Hideki ONO, Peter Osterlund,
            Sergey V. Oudaltsov, Séamus Ó Ciardhuáin, Bob Paauwe, Paul
            Pacheco, Tom Pala, Ivan Pascal, T. M. Pederson, Earle F. Phil-
            hower III, Nils Philippsen, Manfred Pohler, Alexander Pohoyda,
            Alain Poirier, Arnaud Quette, Jim Radford, Dale Rahn, Lucas Cor-
            reia Villa Real, René Rebe, Tyler Retzlaff, Sebastian Rittau, Tim
            Roberts, Alastair M. Robinson, Branden Robinson, Daniel Rock, Ian
            Romanick, Bernhard Rosenkraenzer, Måns Rullgård, Andriy Rysin,
            Supphachoke Santiwichaya, Pablo Saratxaga, Matthias Scheler, Jens
            Schweikhardt, Danilo Segan, Shantonu Sen, Stas Sergeev, Jungshik
            Shin, Nikola Smolenski, Andreas Stenglein, Paul Stewart, Alexan-
            der Stohr, Alan Strohm, Will Styles, James Su, Mike Sulivan,
            Ville Syrjala, Slava Sysoltsev, Akira TAGOH, Toshimitsu Tanaka,
            Akira Taniguchi, Owen Taylor, Neil Terry, Jonathan Thambidurai,
            John Tillman, Adam Tlalka, Linus Torvalds, Christian Tosta, War-
            ren Turkal, Stephen J. Turnbull, Ted Unangst, Mike Urban, Simon
            Vallet, Thuraiappah Vaseeharan, Luc Verhaegen, Yann Vernier,
            Michail Vidiassov, Sebastiano Vigna, Mark Vojkovich, Stephane
            Voltz, Boris Weissman, Keith Whitwell, Thomas Winischhofer, Eric
            Wittry, Kim Woelders, Roy Wood, Jason L. Wright, Joerg Wunsch,
            Chisato Yamauchi, Hui Yu.

      Docbook/XML conversion:
            John Himpel and the XFree86 documentation team.

      XFree86 Webmaster:
            Georgina O. Economou

      XFree86 Hosting:
            Internet Systems Consortium, Inc <URL:http://www.isc.org/>.

8.  Attributions/Acknowledgements

The X Window System has been a collaborative effort from its inception.  Our
apologies for anyone or organization inadvertently overlooked.  Many individ-
uals (including major contributors) who worked on X are represented by their
employers in this list.

      This product includes software developed by:
            2d3d Inc., Adam de Boor, Adobe Systems Inc., After X-TT Project,
            AGE Logic Inc., Alan Hourihane, Andreas Monitzer, Andrew C
            Aitchison, Andy Ritger, Ani Joshi, Anton Zioviev, Apollo Computer
            Inc., Apple Computer Inc., Ares Software Corp., ATI Technologies
            Inc., AT&T Inc., Bigelow and Holmes, Bill Reynolds, Bitstream
            Inc., Brian Fundakowski Feldman, Brian Goines, Brian Paul, Bruno
            Haible, Charles Murcko, Chen Xiangyang, Chris Constello, Cogni-
            tion Corp., Compaq Computer Corporation, Concurrent Computer Cor-
            poration, Conectiva S.A., Corin Anderson, Craig Struble, Daewoo
            Electronics Co. Ltd., Dale Schumacher, Damien Miller, Daniver
            Limited, Daryll Strauss, Data General Corporation, David Bateman,
            David Dawes, David E. Wexelblat, David Holland, David J. McKay,
            David McCullough, David Mosberger-Tang, David S. Miller, Davor
            Matic, Digital Equipment Corporation, Dirk Hohndel, Doug Anson,
            Edouard TISSERANT, Eduardo Horvath, Egbert Eich, Eric Anholt,
            Eric Fortune, Eric Sunshine, Erik Fortune, Erik Nygren, Evans &
            Sutherland Computer Corporation, Finn Thoegersen, Frederic Lep-
            ied, Free Software Foundation Inc., Fujitsu Limited, Fujitsu Open
            Systems Solutions Inc., Fuji Xerox Co. Ltd., Geert Uytterhoeven,
            Gerrit Jan Akkerman, Gerry Toll, Glenn G. Lai, Go Watanabe, Gre-
            gory Mokhin, Greg Parker, GROUPE BULL, Hans Oey, Harald Koenig,
            Harm Hanemaayer, Harry Langenbacher, Henry A. Worth, Hewlett-
            Packard Company, Hitachi Ltd, Holger Veit, Hummingbird Communica-
            tions Ltd., IBM Corporation, Intel Corporation, INTERACTIVE Sys-
            tems Corporation, International Business Machines Corp., Itai
            Nahshon, Jakub Jelinek, James Tsillas, Jason Bacon, Jean-loup
            Gailly, Jeff Kirk, Jeffrey Hsu, Jim Tsillas, J. Kean Johnston,
            Jon Block, Jon Tombs, Jorge Delgado, Joseph Friedman, Joseph V.
            Moss, Juliusz Chroboczek, Jyunji Takagi, Kaleb S. Keithley,
            Kazushi (Jam) Marukawa, Kazuyuki (ikko-) Okamoto, Keith Packard,
            Keith Whitwell, Kevin E. Martin, Larry Wall, Lawrence Berkeley
            Laboratory, Lennart Augustsson, Lexmark International Inc., Linus
            Torvalds, Machine Vision Holdings Inc., Manfred Brands, Marc
            Aurele La France, Mark Adler, Mark J. Kilgard, Mark Leisher, Mark
            Smulders, Massachusetts Institute Of Technology, Matrox Graphics,
            Matthew Grossman, Matthieu Herrb, Metro Link Inc., Michael H.
            Schimek, Michael P. Marking, Michael Schimek, Michael Smith, Ming
            Yu, MIPS Computer Systems Inc., National Semiconductor, NCR Cor-
            poration Inc., Netscape Communications Corporation, Network Com-
            puting Devices Inc., Noah Levitt, Novell Inc., Nozomi YTOW, NTT
            Software Corporation, Number Nine Computer Corp., Number Nine
            Visual Technologies, NVIDIA Corp., Oivier Danet, Oki Technosys-
            tems Laboratory Inc., OMRON Corporation, Open Software Founda-
            tion, Orest Zborowski, Pablo Saratxaga, Panacea Inc., Panagiotis
            Tsirigotis, Paolo Severini, Pascal Haible, Patrick Lecoanet,
            Patrick Lerda, Paul Elliott, Peter Kunzmann, Peter Trattler,
            Philip Homburg, Precision Insight Inc., Prentice Hall, Quarter-
            deck Office Systems, Randy Hendry, Ranier Keller, Red Hat Inc.,
            Regents of the University of California, Rene Cougnenc, Regis
            Cridlig, Richard A. Hecker, Richard Burdick, Rich Murphey,
            Rickard E. Faith, Robert Baron, Robert Chesler, Robert V. Baron,
            Robin Cutshaw, S3 Graphics Inc., Sam Leffler, SciTech Software,
            Scott Laird, Sebastien Marineau, Shigehiro Nomura, ShoGraphics
            Inc., Shunsuke Akiyama, Silicon Graphics Computer Systems Inc.,
            Silicon Integrated Systems Corp Inc., Silicon Motion Inc., Simon
            P. Cooper, Snitily Graphics Consulting Services, Sony Corpora-
            tion, SRI, Stanislav Brabec, Stephan Dirsch, Stephan Lang, Steven
            Lang, Sun Microsystems Inc., SunSoft Inc., SuSE Inc., Sven
            Luther, Takis Psarogiannakopoulos, Takuya SHIOZAKI, Tektronix
            Inc., The DOS-EMU-Development-Team, The Institute of Software
            Academia Sinica, The NetBSD Foundation, Theo de Raadt, Theodore
            Ts'o, The Open Group, The Open Software Foundation, The Regents
            of the University of California, The Santa Cruz Operation Inc.,
            The Weather Channel Inc., The X Consortium, The XFree86 Project
            Inc., Thomas E. Dickey, Thomas G. Lane, Thomas Mueller, Thomas
            Roell, Thomas Thanner, Thomas Winischhofer, Thomas Wolfram,
            Thorsten.Ohl, Tiago Gons, Todd C. Miller, Tomohiro KUBOTA, Torrey
            T. Lyons, TOSHIBA Corp., Tungsten Graphics Inc., UCHIYAMA
            Yasushi, Unicode Inc., UniSoft Group Limited, University of Utah,
            UNIX System Laboratories Inc., URW++ GmbH, VA Linux Systems, VIA
            Technologies Inc., Video Electronics Standard, VMware Inc., Vrije
            Universiteit, Wittawat Yamwong, Wyse Technology Inc., X Consor-
            tium, Xi Graphics Inc., X-Oz Technologies, X-TrueType Server
            Project, and their contributors.

            This product includes software developed by The XFree86 Project,
            Inc (http://www.xfree86.org/) and its contributors.

            This produce includes software that is based in part of the work
            of the FreeType Team (http://www.freetype.org).

            This product includes software developed by the University of
            California, Berkeley and its contributors.

            This product includes software developed by Christopher G.
            Demetriou.

            This product includes software developed by the NetBSD Founda-
            tion, Inc. and its contributors.

            This product includes software developed by the X-Oz Technologies
            and its contributors.

     $ Id: RELNOTES.sgml,v 1.1.4.4.2.2.4.3 2004/03/30 03:55:47 jg Exp $

